Skip to main content
GET
/
apps
/
{appId}
/
moderation
/
blocked-messages
List Blocked Messages
curl --request GET \
  --url https://apimgmt.cometchat.io/apps/{appId}/moderation/blocked-messages \
  --header 'key: <key>' \
  --header 'secret: <secret>'
{
  "data": [
    {
      "ruleId": "image-moderation",
      "ruleName": "AI Image Moderation",
      "revisionId": "253156be20433c97_image-moderation_4",
      "condition": {
        "id": 1,
        "isKeywordsReferencePresent": false,
        "isMediaPresent": true,
        "entity": "message",
        "operand": "image",
        "category": "word",
        "operator": "contains",
        "value": [
          "Any unsafe content_greaterThan_70"
        ],
        "message": [
          "Image contains Any unsafe content with confidence greater than 70"
        ],
        "weight": 1
      },
      "message": {
        "id": "65",
        "muid": "_5zytzmceo",
        "conversationId": "superhero1_user_superhero2",
        "sender": "superhero1",
        "receiverType": "user",
        "receiver": "superhero2",
        "category": "message",
        "type": "image",
        "data": {
          "metadata": {
            "file": []
          },
          "resource": "WEB-4_0_3-ffa565b2-476e-493d-aeb5-4c750aae3ab1-1719925738505",
          "url": "https://data-eu.cometchat.io/2601293c931567f7/media/1719993037_336554568_9e044ea0ed5817381b189680f392bafe.jpeg",
          "attachments": [
            {
              "name": "download.jpeg",
              "extension": "jpeg",
              "size": 4761,
              "mimeType": "image/jpeg",
              "url": "https://data-eu.cometchat.io/2601293c931567f7/media/1719993037_336554568_9e044ea0ed5817381b189680f392bafe.jpeg"
            }
          ],
          "entities": {
            "sender": {
              "entity": {
                "uid": "superhero1",
                "name": "Iron Man",
                "avatar": "https://data-eu.cometchat.io/assets/images/avatars/ironman.png",
                "status": "offline",
                "role": "default"
              },
              "entityType": "user"
            },
            "receiver": {
              "entity": {
                "uid": "superhero2",
                "name": "Captain America",
                "avatar": "https://data-eu.cometchat.io/assets/images/avatars/captainamerica.png",
                "status": "offline",
                "role": "default",
                "conversationId": "superhero1_user_superhero2"
              },
              "entityType": "user"
            }
          },
          "moderation": {
            "status": "pending"
          }
        },
        "sentAt": 1719993037,
        "updatedAt": 1719993037
      },
      "action": [
        "blockMessage"
      ],
      "createdAt": 1719993038,
      "updatedAt": 1719993038
    }
  ],
  "meta": {
    "current": {
      "limit": 50,
      "count": 20
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://cometchat-013b37f0.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Headers

key
string
required

Authorization Key

secret
string
required

Authorization Secret

Path Parameters

appId
string
required

AppID in which the extension has to be enabled/disabled

Response

200 - application/json

List Blocked Messages

data
object